
Website Monitoring - Task #1901

Feature # 1888 (Closed): Use secure storage for input passwords

Feature # 1893 (Closed): Create advanced XML secure password widget

Create secure storage module

06/22/2017 04:48 PM - Luke Murphey

Status: Closed Start date: 06/22/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.3   

Description

History

#1 - 06/23/2017 04:46 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 06/28/2017 03:41 AM - Luke Murphey

- % Done changed from 0 to 70

I have a module that works but has some more work needed:

1. Need to verify that the cleartext password is being removed

2. Need to make sure that the correct entry is being loaded (since multiple entries with the same realm can be created)

I could still store the username in the conf file and keep the realm as the unique identifier.

#3 - 06/28/2017 04:05 PM - Luke Murphey

I need to make sure that I can figure out which entry is the correct one to load. My options are:

1. Store username in the conf, only use realm to identify the password

2. Delete all related entries before creating a new one

3. Store stanza name in conf

#4 - 06/28/2017 04:34 PM - Luke Murphey

Storing the username in conf is the approach I am using because:

1. Secure storage requires a password, thus just storing a username isn't possible

2. Changing the username means the stanza name changes too for secure storage making the entry hard to find

#5 - 06/28/2017 05:07 PM - Luke Murphey

The password field won't clear and thus isn't removing the password from the conf file.

Observations:
1. Removing the clear creds function doesn't help

#6 - 06/28/2017 05:08 PM - Luke Murphey

To test:

1. Existing cleartext password is loaded

2. Upon save, the cleartext password is removed

3. If the password or username is cleared, existing secure credentials are removed

4. Stanza name for password is properly created on creation and editing

#7 - 06/28/2017 06:03 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
